Debian Bug report logs - #615938
Improvements to the "Ports" page: non-linux & arm stuff

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Adrian von Bidder <avbidder@fortytwo.ch>

Date: Tue, 1 Mar 2011 07:42:01 UTC

Severity: normal

Tags: patch

Done: Francesca Ciceri <madamezou@yahoo.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#615938; Package www.debian.org. (Tue, 01 Mar 2011 07:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian von Bidder <avbidder@fortytwo.ch>:
New Bug report received and forwarded. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 01 Mar 2011 07:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian von Bidder <avbidder@fortytwo.ch>
To: submit@bugs.debian.org
Subject: Improvements to the "Ports" page: non-linux & arm stuff
Date: Tue, 1 Mar 2011 08:38:45 +0100
[Message part 1 (text/plain, inline)]
Package: www.debian.org
Tags: patch

Hi,

I've noticed a few issues with www.d.o/ports (these are orthogonal to the stuff discussed in #611830):

* Non-Linux ports: now that kFreeBSD is released, the "non-Linux" title 
probably should just be dropped, since "non-Linux" is not really just a sub-
category of "unreleased" anymore.

+++
diff --git a/webwml/english/ports/index.wml b/webwml/english/ports/index.wml
--- a/webwml/english/ports/index.wml
+++ b/webwml/english/ports/index.wml
@@ -5,7 +5,6 @@
  <li><a href="#intro">Introduction</a></li>
  <li><a href="#released">Released ports</a></li>
  <li><a href="#unreleased">Ports that haven't been released yet</a></li>
- <li><a href="#nonlinux">Non-Linux ports</a></li>
  <li><a href="#various">Various port-like projects</a></li>
 </ul>
 
@@ -30,9 +29,9 @@
 </p>
 <p>
  Debian is an operating system (OS), not a kernel (actually, it is more
- than an OS since it includes thousands of application programs).  To
- prove this, we have our first three fledgling non-Linux based ports, listed
- <a href="#nonlinux">at the bottom of this page</a>.
+ than an OS since it includes thousands of application programs).  Accordingly,
+ while most Debian ports are based on Linux, there also are ports based on the
+ FreeBSD, NetBSD and Hurd kernels.
 </p>
 <p>
  <em>Warning</em> &mdash; this is a page in progress.  Not all ports have
@@ -176,8 +175,6 @@
  Port to Atmel's 32-bit RISC architecture, AVR32.
 </p>
 
-<h2 id="nonlinux">Non-Linux ports</h2>
-
 <h3><a href="hurd/">Debian GNU/Hurd (<q>hurd-i386</q>)</a></h3>
 <p>
  The GNU Hurd is a totally new operating system being put together by
+++

* The ARM EABI port is actually what armel is, so:

+++
diff --git a/webwml/english/ports/index.wml b/webwml/english/ports/index.wml
--- a/webwml/english/ports/index.wml
+++ b/webwml/english/ports/index.wml
@@ -208,14 +208,6 @@
  <a href="http://www.catb.org/~esr/writings/cathedral-bazaar/">bazaar</a> fashion.
 </p>
 
-<h3><a href="http://wiki.debian.org/ArmEabiPort">ARM EABI Port</a></h3>
-<p>
- EABI is the new <q>Embedded</q> <acronym lang="en" 
- title="Application Binary Interface">ABI</acronym> by <a 
- href="http://arm.com/">ARM Ltd.</a>.
- EABI is actually a family of ABIs and one of the <q>subABIs</q> is GNU EABI for Linux.                                                                        
-</p>
-
 <hr />
 
 <p><strong>Disclaimer:</strong> Many of the above computer and processor
+++

* armhf is not mentioned yet:

+++
diff --git a/webwml/english/ports/index.wml b/webwml/english/ports/index.wml
--- a/webwml/english/ports/index.wml
+++ b/webwml/english/ports/index.wml
@@ -93,7 +93,8 @@
  First officially released with Debian 2.2.
  This port runs on a variety of embedded hardware, including the NSLU2.
  Armel is the more efficient successor for the <q>arm</q> port, which is
- compatible with the ARM EABI.
+ compatible with the ARM EABI. These ports target machines with ARMv4 based CPU
+ and without a floating point unit.
 </p>
 
 <h3><a href="mips/">MIPS CPUs (<q>mips</q> and <q>mipsel</q>)</a></h3>
@@ -160,6 +161,15 @@
  A fairly new port to Hitachi SuperH processors.
 </p>
 
+<h3><a href="http://wiki.debian.org/ArmHardFloatPort">armhf</a></h3>
+<p>
+ A lot of modern ARM boards and devices ship with a floating-point unit (FPU),
+ but the current Debian armel port doesn't take much advantage of it. The armhf
+ port was started to improve this situation and also take advantage of other
+ features of newer ARM CPUs.  The Debian armhf port requires at least an ARMv7
+ CPU with Thumb2 and VFP3D16.
+</p>
+
 <h3><a href="http://www.debonaras.org/">armeb</a></h3>
 <p>
  Port to big-endian ARM machines, especially to Linksys NSLU2.
+++

* NOTE (and no patch): arm/armel mentiones that the NSLU2 is supported,
armeb mentiones that same machine (implying perhaps that NSLU2 was not 
supported by regular arm ports at some time?) I have no idea what the 
status of armeb is - the web page is still up, though doesn't look very 
nice and points to something apparently sarge based. Clarification would 
be nice.

cheers
-- vbi

-- 
featured product: SpamAssassin - http://spamassassin.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#615938; Package www.debian.org. (Tue, 01 Mar 2011 15:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian von Bidder <avbidder@fortytwo.ch>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 01 Mar 2011 15:30:10 GMT) Full text and rfc822 format available.

Message #10 received at 615938@bugs.debian.org (full text, mbox):

From: Adrian von Bidder <avbidder@fortytwo.ch>
To: debian-arm@lists.debian.org
Cc: 615938@bugs.debian.org
Subject: ARM on the ports page
Date: Tue, 1 Mar 2011 16:20:01 +0100
[Message part 1 (text/plain, inline)]
Hi,

  <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=615938>

I proposed a few improvements to the "ports" page on www.d.o, some touching 
the ARM status. Since I'm not involved with porting myself, perhaps some of 
you may want to comment.

I'm especially unsure about the armeb port - it wasn't mentioned at all in 
the d-d-a announcement, and the homepage is still alive but seems to be 
somewhat outdated.  Is it officially dead and should be dropped from the 
ports page?

cheers
-- vbi

-- 
You opted-in to receive these exciting offers by having an email
address.  Our spam cannot be considered spam because of this
disclaimer.  This is a one-time mailing.  To be removed from future
one-time mailings, don't receive email.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#615938; Package www.debian.org. (Tue, 01 Mar 2011 16:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 01 Mar 2011 16:00:02 GMT) Full text and rfc822 format available.

Message #15 received at 615938@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Adrian von Bidder <avbidder@fortytwo.ch>
Cc: debian-arm@lists.debian.org, 615938@bugs.debian.org
Subject: Re: ARM on the ports page
Date: Tue, 1 Mar 2011 15:57:54 +0000
+++ Adrian von Bidder [2011-03-01 16:20 +0100]:
> Hi,
> 
>   <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=615938>
> 
> I proposed a few improvements to the "ports" page on www.d.o, some touching 
> the ARM status. 

Well done - it's been old and crufty for a long time.

> Since I'm not involved with porting myself, perhaps some of 
> you may want to comment.

That should be v4t for armel, not v4. 

Make clear that 'arm' was released with Debian 2.2, (and dropped in
Debian Squeeze (5.0?) 'armel' was released with lenny (4.0?)

Perhaps add that armhf matches Ubuntu and Linaro 'arm' ports, whilst
armel in Ubuntu is not the same as armel in Debian?

> I'm especially unsure about the armeb port - it wasn't mentioned at all in 
> the d-d-a announcement, and the homepage is still alive but seems to be 
> somewhat outdated.  Is it officially dead and should be dropped from the 
> ports page?


yes ARMEB is dead. It is old-ABI, was never an official port and is no
longer of any real interest to anyone as the problem it addressed
(non-free ethernet driver on SLUG) has been fixed by other means.
If it was resurrected it would be as EABI big-endian anyway


Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#615938; Package www.debian.org. (Tue, 01 Mar 2011 16:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 01 Mar 2011 16:03:09 GMT) Full text and rfc822 format available.

Message #20 received at 615938@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Adrian von Bidder <avbidder@fortytwo.ch>, 615938@bugs.debian.org
Cc: Debian ARM <debian-arm@lists.debian.org>
Subject: Re: Bug#615938: Improvements to the "Ports" page: non-linux & arm stuff
Date: Tue, 1 Mar 2011 16:01:00 +0000
Hi,

2011/3/1 Adrian von Bidder <avbidder@fortytwo.ch>:

> +++
> diff --git a/webwml/english/ports/index.wml b/webwml/english/ports/index.wml
> --- a/webwml/english/ports/index.wml
> +++ b/webwml/english/ports/index.wml
> @@ -5,7 +5,6 @@
>  <li><a href="#intro">Introduction</a></li>
>  <li><a href="#released">Released ports</a></li>
>  <li><a href="#unreleased">Ports that haven't been released yet</a></li>
> - <li><a href="#nonlinux">Non-Linux ports</a></li>
>  <li><a href="#various">Various port-like projects</a></li>
>  </ul>
>
> @@ -30,9 +29,9 @@
>  </p>
>  <p>
>  Debian is an operating system (OS), not a kernel (actually, it is more
> - than an OS since it includes thousands of application programs).  To
> - prove this, we have our first three fledgling non-Linux based ports, listed
> - <a href="#nonlinux">at the bottom of this page</a>.
> + than an OS since it includes thousands of application programs).  Accordingly,
> + while most Debian ports are based on Linux, there also are ports based on the
> + FreeBSD, NetBSD and Hurd kernels.
>  </p>
>  <p>
>  <em>Warning</em> &mdash; this is a page in progress.  Not all ports have
> @@ -176,8 +175,6 @@
>  Port to Atmel's 32-bit RISC architecture, AVR32.
>  </p>
>
> -<h2 id="nonlinux">Non-Linux ports</h2>
> -
>  <h3><a href="hurd/">Debian GNU/Hurd (<q>hurd-i386</q>)</a></h3>
>  <p>
>  The GNU Hurd is a totally new operating system being put together by
> +++
>
> * The ARM EABI port is actually what armel is, so:
>
> +++
> diff --git a/webwml/english/ports/index.wml b/webwml/english/ports/index.wml
> --- a/webwml/english/ports/index.wml
> +++ b/webwml/english/ports/index.wml
> @@ -208,14 +208,6 @@
>  <a href="http://www.catb.org/~esr/writings/cathedral-bazaar/">bazaar</a> fashion.
>  </p>
>
> -<h3><a href="http://wiki.debian.org/ArmEabiPort">ARM EABI Port</a></h3>
> -<p>
> - EABI is the new <q>Embedded</q> <acronym lang="en"
> - title="Application Binary Interface">ABI</acronym> by <a
> - href="http://arm.com/">ARM Ltd.</a>.
> - EABI is actually a family of ABIs and one of the <q>subABIs</q> is GNU EABI for Linux.
> -</p>
> -
>  <hr />
>
>  <p><strong>Disclaimer:</strong> Many of the above computer and processor
> +++
>
> * armhf is not mentioned yet:
>
> +++
> diff --git a/webwml/english/ports/index.wml b/webwml/english/ports/index.wml
> --- a/webwml/english/ports/index.wml
> +++ b/webwml/english/ports/index.wml
> @@ -93,7 +93,8 @@
>  First officially released with Debian 2.2.
>  This port runs on a variety of embedded hardware, including the NSLU2.
>  Armel is the more efficient successor for the <q>arm</q> port, which is
> - compatible with the ARM EABI.
> + compatible with the ARM EABI. These ports target machines with ARMv4 based CPU
> + and without a floating point unit.

More accurate ARMv4t. The old OABI port ('arm') supported ARMv4.

>  </p>
>
>  <h3><a href="mips/">MIPS CPUs (<q>mips</q> and <q>mipsel</q>)</a></h3>
> @@ -160,6 +161,15 @@
>  A fairly new port to Hitachi SuperH processors.
>  </p>
>
> +<h3><a href="http://wiki.debian.org/ArmHardFloatPort">armhf</a></h3>
> +<p>
> + A lot of modern ARM boards and devices ship with a floating-point unit (FPU),
> + but the current Debian armel port doesn't take much advantage of it. The armhf
> + port was started to improve this situation and also take advantage of other
> + features of newer ARM CPUs.  The Debian armhf port requires at least an ARMv7
> + CPU with Thumb2 and VFP3D16.
> +</p>
> +
>  <h3><a href="http://www.debonaras.org/">armeb</a></h3>
>  <p>
>  Port to big-endian ARM machines, especially to Linksys NSLU2.
> +++

I would consider `armeb' as a dead port.

> * NOTE (and no patch): arm/armel mentiones that the NSLU2 is supported,
> armeb mentiones that same machine (implying perhaps that NSLU2 was not
> supported by regular arm ports at some time?) I have no idea what the
> status of armeb is - the web page is still up, though doesn't look very
> nice and points to something apparently sarge based. Clarification would
> be nice.

There was a presentation which contains a bit of the history of Debian
ARM ports done at FOSDEM this year:
 <http://people.debian.org/~zumbi/talks/fosdem2011-arm/>

There was some binary blob (microcode) in big-endian mode to make work
 Ethernet on the NSLU2.
armeb, the big endian port was supposed to save some cycles on this
slow machines and be more friendly with that blob, but later in time
seems to be that armel was good enough and Debian+(binary blob) is
distributed a side of Debian:
 <http://www.slug-firmware.net/>

I hope it clarifies things a little more.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#615938; Package www.debian.org. (Tue, 01 Mar 2011 16:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 01 Mar 2011 16:27:08 GMT) Full text and rfc822 format available.

Message #25 received at 615938@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Adrian von Bidder <avbidder@fortytwo.ch>, debian-arm@lists.debian.org, 615938@bugs.debian.org
Subject: Re: ARM on the ports page
Date: Tue, 1 Mar 2011 08:25:06 -0800
On Tue, Mar 01, 2011 at 03:57:54PM +0000, Wookey wrote:
> Perhaps add that armhf matches Ubuntu and Linaro 'arm' ports, whilst
> armel in Ubuntu is not the same as armel in Debian?

Hum, that's confusing and not true in various ways.  The Ubuntu armel port
(there is no Ubuntu 'arm' port) is binary-compatible with the Debian armel
port, it is *not* binary-compatible with the armhf port; the minimum
supported hardware for armel is different between Debian and Ubuntu, but
then, this is true of the i386 port also; and Linaro doesn't have any
"ports" as it's not a distro... :)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#615938; Package www.debian.org. (Wed, 02 Mar 2011 07:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian von Bidder <avbidder@fortytwo.ch>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 02 Mar 2011 07:27:03 GMT) Full text and rfc822 format available.

Message #30 received at 615938@bugs.debian.org (full text, mbox):

From: Adrian von Bidder <avbidder@fortytwo.ch>
To: 615938@bugs.debian.org
Cc: debian-arm@lists.debian.org
Subject: Re: ARM on the ports page
Date: Wed, 2 Mar 2011 08:24:40 +0100
[Message part 1 (text/plain, inline)]
Heyho all!

Thanks for your input.

As per this discussion (changed wording for arm/armel; dropped armeb), full diff with some changes 
against the current index.wml below.

Can somebody commit this?  I don't have commit access to www.

cheers
-- vbi

+++
Index: index.wml
===================================================================
RCS file: /cvsroot/webwml/webwml/english/ports/index.wml,v
retrieving revision 1.85
diff -u -r1.85 index.wml
--- index.wml   6 Feb 2011 08:15:53 -0000       1.85
+++ index.wml   2 Mar 2011 07:17:39 -0000
@@ -5,7 +5,6 @@
  <li><a href="#intro">Introduction</a></li>
  <li><a href="#released">Released ports</a></li>
  <li><a href="#unreleased">Ports that haven't been released yet</a></li>
- <li><a href="#nonlinux">Non-Linux ports</a></li>
  <li><a href="#various">Various port-like projects</a></li>
 </ul>
 
@@ -30,9 +29,9 @@
 </p>
 <p>
  Debian is an operating system (OS), not a kernel (actually, it is more
- than an OS since it includes thousands of application programs).  To
- prove this, we have our first three fledgling non-Linux based ports, listed
- <a href="#nonlinux">at the bottom of this page</a>.
+ than an OS since it includes thousands of application programs).  Accordingly,
+ while most Debian ports are based on Linux, there also are ports based on the
+ FreeBSD, NetBSD and Hurd kernels.
 </p>
 <p>
  <em>Warning</em> &mdash; this is a page in progress.  Not all ports have
@@ -91,10 +90,12 @@
 
 <h3><a href="arm/">ARM (<q>arm</q> and <q>armel</q>)</a></h3>
 <p>
- First officially released with Debian 2.2.
- This port runs on a variety of embedded hardware, including the NSLU2.
- Armel is the more efficient successor for the <q>arm</q> port, which is
- compatible with the ARM EABI.
+ This port runs on a variety of (embedded) hardware like routers or NAS
+ devices.  The arm port was first released with Debian 2.2, and was supported
+ up to and including Debian 5.0.  Armel (first released with Debian 5.0) is the
+ more efficient successor for the <q>arm</q> port, which is compatible with the
+ ARM EABI. These ports target machines with ARMv4t based CPU or newer and
+ without a floating point unit.
 </p>
 
 <h3><a href="mips/">MIPS CPUs (<q>mips</q> and <q>mipsel</q>)</a></h3>
@@ -161,9 +162,13 @@
  A fairly new port to Hitachi SuperH processors.
 </p>
 
-<h3><a href="http://www.debonaras.org/">armeb</a></h3>
+<h3><a href="http://wiki.debian.org/ArmHardFloatPort">armhf</a></h3>
 <p>
- Port to big-endian ARM machines, especially to Linksys NSLU2.
+ A lot of modern ARM boards and devices ship with a floating-point unit (FPU),
+ but the current Debian armel port doesn't take much advantage of it. The armhf
+ port was started to improve this situation and also take advantage of other
+ features of newer ARM CPUs.  The Debian armhf port requires at least an ARMv7
+ CPU with Thumb2 and VFP3D16 coprocessor.
 </p>
 
 <h3><a href="http://www.linux-m32r.org/">m32r</a></h3>
@@ -176,8 +181,6 @@
  Port to Atmel's 32-bit RISC architecture, AVR32.
 </p>
 
-<h2 id="nonlinux">Non-Linux ports</h2>
-
 <h3><a href="hurd/">Debian GNU/Hurd (<q>hurd-i386</q>)</a></h3>
 <p>
  The GNU Hurd is a totally new operating system being put together by
@@ -211,14 +214,6 @@
  <a href="http://www.catb.org/~esr/writings/cathedral-bazaar/">bazaar</a> fashion.
 </p>
 
-<h3><a href="http://wiki.debian.org/ArmEabiPort">ARM EABI Port</a></h3>
-<p>
- EABI is the new <q>Embedded</q> <acronym lang="en" 
- title="Application Binary Interface">ABI</acronym> by <a 
- href="http://arm.com/">ARM Ltd.</a>.
- EABI is actually a family of ABIs and one of the <q>subABIs</q> is GNU EABI for Linux.
-</p>
-
 <hr />
 
 <p><strong>Disclaimer:</strong> Many of the above computer and processor
+++

-- 
featured product: Debian GNU/Linux - http://debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#615938; Package www.debian.org. (Wed, 02 Mar 2011 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 02 Mar 2011 10:42:03 GMT) Full text and rfc822 format available.

Message #35 received at 615938@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Adrian von Bidder <avbidder@fortytwo.ch>
Cc: 615938@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: ARM on the ports page
Date: Wed, 2 Mar 2011 10:39:12 +0000
Hello,

2011/3/2 Adrian von Bidder <avbidder@fortytwo.ch>:

> +++
> Index: index.wml
> ===================================================================
> RCS file: /cvsroot/webwml/webwml/english/ports/index.wml,v
> retrieving revision 1.85
> diff -u -r1.85 index.wml
> --- index.wml   6 Feb 2011 08:15:53 -0000       1.85
> +++ index.wml   2 Mar 2011 07:17:39 -0000
> @@ -5,7 +5,6 @@
>  <li><a href="#intro">Introduction</a></li>
>  <li><a href="#released">Released ports</a></li>
>  <li><a href="#unreleased">Ports that haven't been released yet</a></li>
> - <li><a href="#nonlinux">Non-Linux ports</a></li>
>  <li><a href="#various">Various port-like projects</a></li>
>  </ul>
>
> @@ -30,9 +29,9 @@
>  </p>
>  <p>
>  Debian is an operating system (OS), not a kernel (actually, it is more
> - than an OS since it includes thousands of application programs).  To
> - prove this, we have our first three fledgling non-Linux based ports, listed
> - <a href="#nonlinux">at the bottom of this page</a>.
> + than an OS since it includes thousands of application programs).  Accordingly,
> + while most Debian ports are based on Linux, there also are ports based on the
> + FreeBSD, NetBSD and Hurd kernels.
>  </p>
>  <p>
>  <em>Warning</em> &mdash; this is a page in progress.  Not all ports have
> @@ -91,10 +90,12 @@
>
>  <h3><a href="arm/">ARM (<q>arm</q> and <q>armel</q>)</a></h3>
                                                    ^^^^^^^^^^^
arm is not part of current stable release (Squeeze). Should it be
entirely drop it from the website?

>  <p>
> - First officially released with Debian 2.2.
> - This port runs on a variety of embedded hardware, including the NSLU2.
> - Armel is the more efficient successor for the <q>arm</q> port, which is
> - compatible with the ARM EABI.
> + This port runs on a variety of (embedded) hardware like routers or NAS
> + devices.  The arm port was first released with Debian 2.2, and was supported
> + up to and including Debian 5.0.

ditto

> Armel (first released with Debian 5.0) is the
> + more efficient successor for the <q>arm</q> port, which is compatible with the
> + ARM EABI. These ports target machines with ARMv4t based CPU or newer and
> + without a floating point unit.
>  </p>
>
>  <h3><a href="mips/">MIPS CPUs (<q>mips</q> and <q>mipsel</q>)</a></h3>
> @@ -161,9 +162,13 @@
>  A fairly new port to Hitachi SuperH processors.
>  </p>
>
> -<h3><a href="http://www.debonaras.org/">armeb</a></h3>
> +<h3><a href="http://wiki.debian.org/ArmHardFloatPort">armhf</a></h3>
>  <p>
> - Port to big-endian ARM machines, especially to Linksys NSLU2.
> + A lot of modern ARM boards and devices ship with a floating-point unit (FPU),
> + but the current Debian armel port doesn't take much advantage of it. The armhf
> + port was started to improve this situation and also take advantage of other
> + features of newer ARM CPUs.  The Debian armhf port requires at least an ARMv7
> + CPU with Thumb2 and VFP3D16 coprocessor.
>  </p>
>
>  <h3><a href="http://www.linux-m32r.org/">m32r</a></h3>
> @@ -176,8 +181,6 @@
>  Port to Atmel's 32-bit RISC architecture, AVR32.
>  </p>
>
> -<h2 id="nonlinux">Non-Linux ports</h2>
> -
>  <h3><a href="hurd/">Debian GNU/Hurd (<q>hurd-i386</q>)</a></h3>
>  <p>
>  The GNU Hurd is a totally new operating system being put together by
> @@ -211,14 +214,6 @@
>  <a href="http://www.catb.org/~esr/writings/cathedral-bazaar/">bazaar</a> fashion.
>  </p>
>
> -<h3><a href="http://wiki.debian.org/ArmEabiPort">ARM EABI Port</a></h3>
> -<p>
> - EABI is the new <q>Embedded</q> <acronym lang="en"
> - title="Application Binary Interface">ABI</acronym> by <a
> - href="http://arm.com/">ARM Ltd.</a>.
> - EABI is actually a family of ABIs and one of the <q>subABIs</q> is GNU EABI for Linux.
> -</p>
> -
>  <hr />
>
>  <p><strong>Disclaimer:</strong> Many of the above computer and processor
> +++

Thanks for pushing this.

Kind regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#615938; Package www.debian.org. (Wed, 02 Mar 2011 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian von Bidder <avbidder@fortytwo.ch>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 02 Mar 2011 13:03:05 GMT) Full text and rfc822 format available.

Message #40 received at 615938@bugs.debian.org (full text, mbox):

From: Adrian von Bidder <avbidder@fortytwo.ch>
To: Undisclosed.Recipients:
Cc: 615938@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: ARM on the ports page
Date: Wed, 2 Mar 2011 14:00:12 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Wednesday 02 March 2011 11.39:12 Hector Oron wrote:

> arm is not part of current stable release (Squeeze). Should it be
> entirely drop it from the website?

lenny was stable not that long ago and still gets security updates.

I'd say drop it after wheezy release.

cheers
-- vbi

-- 
You can't judge a book by the way it wears its hair.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Francesca Ciceri <madamezou@yahoo.it>:
You have taken responsibility. (Sat, 12 Mar 2011 10:42:03 GMT) Full text and rfc822 format available.

Notification sent to Adrian von Bidder <avbidder@fortytwo.ch>:
Bug acknowledged by developer. (Sat, 12 Mar 2011 10:42:03 GMT) Full text and rfc822 format available.

Message #45 received at 615938-done@bugs.debian.org (full text, mbox):

From: Francesca Ciceri <madamezou@yahoo.it>
To: 615938-done@bugs.debian.org
Subject: Re: Improvements to the "Ports" page: non-linux & arm stuff
Date: Sat, 12 Mar 2011 11:39:34 +0100
[Message part 1 (text/plain, inline)]
Hi,

I've committed right now the patch provided by Adrian, it will be visible in
few hours.
Let me say thank you all, and especially Adrian, for this patch: often ports' 
pages are rather outdated and, while it is difficult keep them up-to-date if
you're not involved into the port itself, they are definetely the first
source of information for the user.

So your work on this bug was, IMO, even more valuable :)

Cheers,
Francesca
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#615938; Package www.debian.org. (Sat, 12 Mar 2011 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian von Bidder <avbidder@fortytwo.ch>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 12 Mar 2011 12:33:03 GMT) Full text and rfc822 format available.

Message #50 received at 615938@bugs.debian.org (full text, mbox):

From: Adrian von Bidder <avbidder@fortytwo.ch>
To: Francesca Ciceri <madamezou@yahoo.it>
Cc: 615938@bugs.debian.org
Subject: Re: Improvements to the "Ports" page: non-linux & arm stuff
Date: Sat, 12 Mar 2011 13:30:51 +0100
[Message part 1 (text/plain, inline)]
Hi,

Thanks a lot. Merge error?

--- index.wml   12 Mar 2011 11:01:32 -0000      1.87
+++ index.wml   12 Mar 2011 12:28:44 -0000
@@ -167,7 +167,6 @@
 
 <h3><a href="http://wiki.debian.org/ArmHardFloatPort">armhf</a></h3>
 <p>
- Port to big-endian ARM machines, especially to Linksys NSLU2.
  A lot of modern ARM boards and devices ship with a floating-point unit (FPU),
  but the current Debian armel port doesn't take much advantage og it. The
  armhf port was started to improve this situation and also take advantage of


armhf is not a successor/revival of armeb and to my knowledge is little 
endian and doesn't support the NSLU2. So this leftover bit of armeb should 
be removed.

cheers
-- vbi

-- 
Frauen brauchen immer das letzte Wort und den letzten Schrei.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#615938; Package www.debian.org. (Sat, 12 Mar 2011 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesca Ciceri <madamezou@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 12 Mar 2011 13:21:03 GMT) Full text and rfc822 format available.

Message #55 received at 615938@bugs.debian.org (full text, mbox):

From: Francesca Ciceri <madamezou@yahoo.it>
To: Adrian von Bidder <avbidder@fortytwo.ch>
Cc: 615938@bugs.debian.org
Subject: Re: Improvements to the "Ports" page: non-linux & arm stuff
Date: Sat, 12 Mar 2011 14:18:18 +0100
[Message part 1 (text/plain, inline)]
On Sat, Mar 12, 2011 at 01:30:51PM +0100, Adrian von Bidder wrote:
> Hi,
> 
> Thanks a lot. Merge error?
> 
> --- index.wml   12 Mar 2011 11:01:32 -0000      1.87
> +++ index.wml   12 Mar 2011 12:28:44 -0000
> @@ -167,7 +167,6 @@
>  
>  <h3><a href="http://wiki.debian.org/ArmHardFloatPort">armhf</a></h3>
>  <p>
> - Port to big-endian ARM machines, especially to Linksys NSLU2.
>   A lot of modern ARM boards and devices ship with a floating-point unit (FPU),
>   but the current Debian armel port doesn't take much advantage og it. The
>   armhf port was started to improve this situation and also take advantage of
> 
> 
> armhf is not a successor/revival of armeb and to my knowledge is little 
> endian and doesn't support the NSLU2. So this leftover bit of armeb should 
> be removed.
> 

Ouch!
*Manual* merge error, and also a typo (s/og/of/)!

Fixed, thanks for reporting it ;)

Cheers,
Francesca
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Apr 2011 07:41:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:52:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.